Index: prototipo/static/js/docs.js
===================================================================
--- prototipo/static/js/docs.js	(revision 747e7448464b2d95ba77b1f93b72e66e5b34c2ce)
+++ prototipo/static/js/docs.js	(revision 747e7448464b2d95ba77b1f93b72e66e5b34c2ce)
@@ -0,0 +1,174 @@
+
+var __PDF_DOC,
+  __CURRENT_PAGE,
+  __TOTAL_PAGES,
+  __PAGE_RENDERING_IN_PROGRESS = 0,
+  __CANVAS = $('#pdf-canvas').get(0),
+  __CANVAS_CTX = __CANVAS.getContext('2d'),
+  __id = "",
+  __NUMBER = 0;
+
+
+function cropperrr(){
+    console.log("siiiiiiiiiiiiiiiiii");
+      $("#img-1").cropper({
+        aspectRatio: 16 / 9,
+        done: function (data) {
+          console.log(data);
+          $('#dataX').val(parseInt(data['x']));
+          $('#dataY').val(parseInt(data['y']));
+          $('#dataWidth').val(parseInt(data['width']));
+          $('#dataHeight').val(parseInt(data['height']));
+        },
+
+      });
+
+
+          return true
+      }
+
+
+function file(){
+  if ($("#file-to-upload").get(0).files[0]=== undefined ){
+    console.log("siiiiiiiiiiifdfdsfds");
+    __NUMBER += 1;
+
+  }else{
+    console.log("noooo");
+  }
+  return __NUMBER;
+}
+  
+
+
+ $("#pdf-canvas").hide();
+
+
+function showPDF(pdf_url) {
+  $("#pdf-loader").show();
+
+  PDFJS.getDocument({ url: pdf_url }).then(function(pdf_doc) {
+    __PDF_DOC = pdf_doc;
+    __TOTAL_PAGES = __PDF_DOC.numPages;
+    
+    // Hide the pdf loader and show pdf container in HTML
+    $("#pdf-loader").hide();
+    $("#pdf-contents").show();
+    $("#pdf-total-pages").text(__TOTAL_PAGES);
+
+    // Show the 
+      showPage(1);
+  
+  }).catch(function(error) {
+    // If error re-show the upload button
+    $("#pdf-loader").hide();
+    $("#upload-button").show();
+    
+    alert(error.message);
+  });;
+}
+
+function showPage(page_no) {
+  __PAGE_RENDERING_IN_PROGRESS = 1;
+  __CURRENT_PAGE = page_no;
+
+  // Disable Prev & Next buttons while page is being loaded
+  $("#pdf-next, #pdf-prev").attr('disabled', 'disabled');
+
+  // While page is being rendered hide the canvas and show a loading message
+  $("#pdf-canvas").hide();
+  $("#page-loader").show();
+
+  // Update current page in HTML
+  $("#pdf-current-page").text(page_no);
+  $("#pagepdf").val(page_no);
+  
+  // Fetch the page
+  __PDF_DOC.getPage(page_no).then(function(page) {
+    // As the canvas is of a fixed width we need to set the scale of the viewport accordingly
+
+
+    var scale_required = __CANVAS.width / page.getViewport(1).width;
+
+    // Get viewport of the page at required scale
+    var viewport = page.getViewport(scale_required);
+
+    // Set canvas height
+
+    __CANVAS.height = viewport.height;
+
+
+    var renderContext = {
+      canvasContext: __CANVAS_CTX,
+      viewport: viewport
+    };
+
+
+    // Render the page contents in the canvas
+    page.render(renderContext).then(function() {
+      __PAGE_RENDERING_IN_PROGRESS = 0;
+
+      // Re-enable Prev & Next buttons
+      $("#pdf-next, #pdf-prev").removeAttr('disabled');
+
+      // Show the canvas and hide the page loader
+      $("#pdf-canvas").hide();
+      $("#page-loader").hide();
+      __id = __CANVAS.toDataURL()
+      $("#img-1").attr('src', __id);
+    
+      cropperrr();
+
+      $('.cropper-container img').attr('src', __id)[0];
+
+      $('.cropper-container img').attr('src', __id)[1];
+
+    });
+  });
+
+
+}
+
+// Upon click this should should trigger click on the #file-to-upload file input element
+// This is better than showing the not-good-looking file input element
+$("#upload-button").on('click', function() {
+  //$("#img").removeAttr('src');
+  //$("#img").removeAttr('class');
+  //$(".cropper-container").remove();
+  $("#file-to-upload").trigger('click');
+
+});
+
+// When user chooses a PDF file
+$("#file-to-upload").on('change', function() {
+
+  var a = file();
+  console.log(a);
+  // Validate whether PDF
+    if(['application/pdf'].indexOf($("#file-to-upload").get(0).files[0].type) == -1) {
+        alert('Error : Not a PDF');
+        return;
+    }
+
+
+
+  // Send the object url of the pdf
+  showPDF(URL.createObjectURL($("#file-to-upload").get(0).files[0]));
+
+});
+
+// Previous page of the PDF
+$("#pdf-prev").on('click', function() {
+  if(__CURRENT_PAGE != 1)
+    showPage(--__CURRENT_PAGE);
+});
+
+// Next page of the PDF
+$("#pdf-next").on('click', function() {
+    
+
+  if(__CURRENT_PAGE != __TOTAL_PAGES)
+    
+    showPage(++__CURRENT_PAGE);
+
+});
